TaxonomySearchServiceAsync (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.rpc

## Interface TaxonomySearchServiceAsync

-     public interface TaxonomySearchServiceAsync

  The async counterpart of `GreetingService`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelOccurrenceJob(String jobIdentifier, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `cancelTaxonomyJob(String jobIdentifier, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `changeStatusOccurrenceJob(String jobIdentifier, DownloadState state, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `changeStatusTaxonomyJob(String jobIdentifier, DownloadState state, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `countOfSelectedRow(com.google.gwt.user.client.rpc.AsyncCallback<Integer> callback)`
    `void` | `createOccurrencesJob(List<JobOccurrencesModel> listJobOccurrenceModel, SaveFileFormat saveFileFormat, OccurrencesSaveEnum csvType, boolean isByDataSource, int expectedOccurrence, com.google.gwt.user.client.rpc.AsyncCallback<List<JobOccurrencesModel>> callback)`
    `void` | `createTaxonomyJobByChildren(String taxonomyServiceId, String taxonomyName, String taxonomyRank, String dataSourceName, com.google.gwt.user.client.rpc.AsyncCallback<JobTaxonomyModel> callback)`
    `void` | `createTaxonomyJobByIds(String search, List<DataSourceModel> dataSources, com.google.gwt.user.client.rpc.AsyncCallback<JobTaxonomyModel> callback)`
    `void` | `generateMapFromSelectedOccurrencePoints(com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
    `void` | `getCountOfOccurrencesBatch(com.google.gwt.user.client.rpc.AsyncCallback<OccurrencesStatus> callback)`
    `void` | `getFilterCounterById(GridField field, com.google.gwt.user.client.rpc.AsyncCallback<HashMap<String,Integer>> callback)`
    `void` | `getFilterCounterForClassification(String rank, com.google.gwt.user.client.rpc.AsyncCallback<HashMap<String,ClassificationModel>> callback)`
    `void` | `getLastQuery(com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
    `void` | `getListOccurrencesJob(com.google.gwt.user.client.rpc.AsyncCallback<List<JobOccurrencesModel>> callback)`
    `void` | `getListTaxonomyJobs(com.google.gwt.user.client.rpc.AsyncCallback<List<JobTaxonomyModel>> callback)`
    `void` | `getOccurrencesBatch(int start, int count, com.google.gwt.user.client.rpc.AsyncCallback<OccurrenceBatch> callback)`
    `void` | `getParentsList(Taxon taxon, com.google.gwt.user.client.rpc.AsyncCallback<List<Taxon>> callback)`
    `void` | `getSearchResultRows(int start, int limit, ResultFilter activeFiltersObject, boolean onlySelected, com.google.gwt.user.client.rpc.AsyncCallback<SearchResult<ResultRow>> callback)`
    `void` | `getSearchStatus(boolean onlySelected, boolean isActiveFilterOnResult, com.google.gwt.user.client.rpc.AsyncCallback<SearchStatus> callback)`
    `void` | `getSearchTaxonomyRow(int start, int limit, ResultFilter activeFiltersObject, boolean showOnlySelected, com.google.gwt.user.client.rpc.AsyncCallback<SearchResult<TaxonomyRow>> asyncCallback)`
    `void` | `isAvailableOccurrenceJobReportError(String jobIdentifier, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `isAvailableTaxonomyJobReportError(String jobIdentifier, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `loadDataSourceForResultRow(boolean selected, boolean distinct, com.google.gwt.user.client.rpc.AsyncCallback<List<DataSource>> callback)`
    `void` | `loadDataSourceList(com.google.gwt.user.client.rpc.AsyncCallback<List<DataSourceModel>> callback)`
    `void` | `loadListChildByParentId(String parentId, com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<TaxonomyRow>> callback)`
    `void` | `loadListCommonNameByRowId(String resultRowId, com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<CommonName>> asyncCallback)`
    `void` | `loadStructuresForResultRowClustering(com.google.gwt.user.client.rpc.AsyncCallback<ClusterStructuresForResultRow> callback)`
    `void` | `loadStructuresForTaxonomyClustering(com.google.gwt.user.client.rpc.AsyncCallback<ClusterStructuresForTaxonomyRow> callback)`
    `void` | `resubmitOccurrencesJob(String jobIdentifier, com.google.gwt.user.client.rpc.AsyncCallback<List<JobOccurrencesModel>> callback)`
    `void` | `resubmitTaxonomyJob(String jobIdentifier, com.google.gwt.user.client.rpc.AsyncCallback<JobTaxonomyModel> callback)`
    `void` | `retrieveOccurencesFromSelection(com.google.gwt.user.client.rpc.AsyncCallback<Integer> callback)`
    `void` | `retrieveSynonymsByRefId(String refId, com.google.gwt.user.client.rpc.AsyncCallback<List<TaxonomyRow>> callback)`
    `void` | `retrieveTaxonomyByIds(List<String> ids, com.google.gwt.user.client.rpc.AsyncCallback<List<TaxonomyRow>> callback)`
    `void` | `saveOccurrenceJob(JobOccurrencesModel jobModel, String destinationFolderId, String fileName, String scientificName, String dataSourceName, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `saveOccurrenceJobError(JobOccurrencesModel jobModel, String destinationFolderId, String fileName, String scientificName, String dataSourceName, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `saveSelectedOccurrencePoints(String destinationFolderId, String fileName, SaveFileFormat fileFormat, OccurrencesSaveEnum typeCSV, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
    `void` | `saveSelectedTaxonomyPoints(String destinationFolderId, String fileName, SaveFileFormat fileFormat, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
    `void` | `saveTaxonomyJob(String jobIdentifier, String destinationFolderId, String fileName, String scientificName, String dataSourceName, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `saveTaxonomyJobError(String jobIdentifier, String destinationFolderId, String fileName, String scientificName, String dataSourceName, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `searchByCommonName(String searchTerm, SearchFilters searchFilters, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
    `void` | `searchByQuery(String query, com.google.gwt.user.client.rpc.AsyncCallback<SearchByQueryParameter> callback)`
    `void` | `searchByScientificName(String searchTerm, SearchFilters searchFilters, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
    `void` | `stopRetrievingOccurrences(com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
    `void` | `stopSearch(com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
    `void` | `updateRowSelection(int rowId, boolean selection, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
    `void` | `updateRowSelections(boolean selection, ResultFilter activeFiltersObject, com.google.gwt.user.client.rpc.AsyncCallback<Integer> callback)`

- - ### Method Detail

    - #### searchByScientificName

          void searchByScientificName(String searchTerm,
                                    SearchFilters searchFilters,
                                    com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

    - #### searchByCommonName

          void searchByCommonName(String searchTerm,
                                SearchFilters searchFilters,
                                com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

    - #### getSearchStatus

          void getSearchStatus(boolean onlySelected,
                             boolean isActiveFilterOnResult,
                             com.google.gwt.user.client.rpc.AsyncCallback<SearchStatus> callback)

    - #### stopSearch

          void stopSearch(com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

    - #### updateRowSelection

          void updateRowSelection(int rowId,
                                boolean selection,
                                com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

    - #### retrieveOccurencesFromSelection

          void retrieveOccurencesFromSelection(com.google.gwt.user.client.rpc.AsyncCallback<Integer> callback)

    - #### getOccurrencesBatch

          void getOccurrencesBatch(int start,
                                 int count,
                                 com.google.gwt.user.client.rpc.AsyncCallback<OccurrenceBatch> callback)

    - #### stopRetrievingOccurrences

          void stopRetrievingOccurrences(com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

    - #### generateMapFromSelectedOccurrencePoints

          void generateMapFromSelectedOccurrencePoints(com.google.gwt.user.client.rpc.AsyncCallback<String> callback)

    - #### saveSelectedOccurrencePoints

          void saveSelectedOccurrencePoints(String destinationFolderId,
                                          String fileName,
                                          SaveFileFormat fileFormat,
                                          OccurrencesSaveEnum typeCSV,
                                          com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

    - #### updateRowSelections

          void updateRowSelections(boolean selection,
                                 ResultFilter activeFiltersObject,
                                 com.google.gwt.user.client.rpc.AsyncCallback<Integer> callback)

    - #### loadDataSourceList

          void loadDataSourceList(com.google.gwt.user.client.rpc.AsyncCallback<List<DataSourceModel>> callback)

    - #### getFilterCounterById

          void getFilterCounterById(GridField field,
                                  com.google.gwt.user.client.rpc.AsyncCallback<HashMap<String,Integer>> callback)

    - #### getParentsList

          void getParentsList(Taxon taxon,
                            com.google.gwt.user.client.rpc.AsyncCallback<List<Taxon>> callback)

    - #### getFilterCounterForClassification

          void getFilterCounterForClassification(String rank,
                                               com.google.gwt.user.client.rpc.AsyncCallback<HashMap<String,ClassificationModel>> callback)

    - #### loadListCommonNameByRowId

          void loadListCommonNameByRowId(String resultRowId,
                                       com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<CommonName>> asyncCallback)

    - #### countOfSelectedRow

          void countOfSelectedRow(com.google.gwt.user.client.rpc.AsyncCallback<Integer> callback)

    - #### searchByQuery

          void searchByQuery(String query,
                           com.google.gwt.user.client.rpc.AsyncCallback<SearchByQueryParameter> callback)

    - #### getSearchResultRows

          void getSearchResultRows(int start,
                                 int limit,
                                 ResultFilter activeFiltersObject,
                                 boolean onlySelected,
                                 com.google.gwt.user.client.rpc.AsyncCallback<SearchResult<ResultRow>> callback)

    - #### getSearchTaxonomyRow

          void getSearchTaxonomyRow(int start,
                                  int limit,
                                  ResultFilter activeFiltersObject,
                                  boolean showOnlySelected,
                                  com.google.gwt.user.client.rpc.AsyncCallback<SearchResult<TaxonomyRow>> asyncCallback)

    - #### loadListChildByParentId

          void loadListChildByParentId(String parentId,
                                     com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<TaxonomyRow>> callback)

    - #### saveSelectedTaxonomyPoints

          void saveSelectedTaxonomyPoints(String destinationFolderId,
                                        String fileName,
                                        SaveFileFormat fileFormat,
                                        com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

    - #### getCountOfOccurrencesBatch

          void getCountOfOccurrencesBatch(com.google.gwt.user.client.rpc.AsyncCallback<OccurrencesStatus> callback)

    - #### getListTaxonomyJobs

          void getListTaxonomyJobs(com.google.gwt.user.client.rpc.AsyncCallback<List<JobTaxonomyModel>> callback)

    - #### cancelTaxonomyJob

          void cancelTaxonomyJob(String jobIdentifier,
                               com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### saveTaxonomyJob

          void saveTaxonomyJob(String jobIdentifier,
                             String destinationFolderId,
                             String fileName,
                             String scientificName,
                             String dataSourceName,
                             com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### retrieveTaxonomyByIds

          void retrieveTaxonomyByIds(List<String> ids,
                                   com.google.gwt.user.client.rpc.AsyncCallback<List<TaxonomyRow>> callback)

    - #### retrieveSynonymsByRefId

          void retrieveSynonymsByRefId(String refId,
                                     com.google.gwt.user.client.rpc.AsyncCallback<List<TaxonomyRow>> callback)

    - #### createOccurrencesJob

          void createOccurrencesJob(List<JobOccurrencesModel> listJobOccurrenceModel,
                                  SaveFileFormat saveFileFormat,
                                  OccurrencesSaveEnum csvType,
                                  boolean isByDataSource,
                                  int expectedOccurrence,
                                  com.google.gwt.user.client.rpc.AsyncCallback<List<JobOccurrencesModel>> callback)

    - #### getListOccurrencesJob

          void getListOccurrencesJob(com.google.gwt.user.client.rpc.AsyncCallback<List<JobOccurrencesModel>> callback)

    - #### saveOccurrenceJob

          void saveOccurrenceJob(JobOccurrencesModel jobModel,
                               String destinationFolderId,
                               String fileName,
                               String scientificName,
                               String dataSourceName,
                               com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### cancelOccurrenceJob

          void cancelOccurrenceJob(String jobIdentifier,
                                 com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### resubmitTaxonomyJob

          void resubmitTaxonomyJob(String jobIdentifier,
                                 com.google.gwt.user.client.rpc.AsyncCallback<JobTaxonomyModel> callback)

    - #### resubmitOccurrencesJob

          void resubmitOccurrencesJob(String jobIdentifier,
                                    com.google.gwt.user.client.rpc.AsyncCallback<List<JobOccurrencesModel>> callback)

    - #### loadStructuresForResultRowClustering

          void loadStructuresForResultRowClustering(com.google.gwt.user.client.rpc.AsyncCallback<ClusterStructuresForResultRow> callback)

    - #### loadStructuresForTaxonomyClustering

          void loadStructuresForTaxonomyClustering(com.google.gwt.user.client.rpc.AsyncCallback<ClusterStructuresForTaxonomyRow> callback)

    - #### changeStatusOccurrenceJob

          void changeStatusOccurrenceJob(String jobIdentifier,
                                       DownloadState state,
                                       com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### changeStatusTaxonomyJob

          void changeStatusTaxonomyJob(String jobIdentifier,
                                     DownloadState state,
                                     com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### loadDataSourceForResultRow

          void loadDataSourceForResultRow(boolean selected,
                                        boolean distinct,
                                        com.google.gwt.user.client.rpc.AsyncCallback<List<DataSource>> callback)

    - #### createTaxonomyJobByIds

          void createTaxonomyJobByIds(String search,
                                    List<DataSourceModel> dataSources,
                                    com.google.gwt.user.client.rpc.AsyncCallback<JobTaxonomyModel> callback)

    - #### createTaxonomyJobByChildren

          void createTaxonomyJobByChildren(String taxonomyServiceId,
                                         String taxonomyName,
                                         String taxonomyRank,
                                         String dataSourceName,
                                         com.google.gwt.user.client.rpc.AsyncCallback<JobTaxonomyModel> callback)

    - #### saveTaxonomyJobError

          void saveTaxonomyJobError(String jobIdentifier,
                                  String destinationFolderId,
                                  String fileName,
                                  String scientificName,
                                  String dataSourceName,
                                  com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### saveOccurrenceJobError

          void saveOccurrenceJobError(JobOccurrencesModel jobModel,
                                    String destinationFolderId,
                                    String fileName,
                                    String scientificName,
                                    String dataSourceName,
                                    com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### isAvailableOccurrenceJobReportError

          void isAvailableOccurrenceJobReportError(String jobIdentifier,
                                                 com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### isAvailableTaxonomyJobReportError

          void isAvailableTaxonomyJobReportError(String jobIdentifier,
                                               com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### getLastQuery

          void getLastQuery(com.google.gwt.user.client.rpc.AsyncCallback<String> callback)

Copyright © 2013. All Rights Reserved.